Skip to main content
PUT
/
api
/
v1
/
recipients
/
{client_id}
Update a Data Recipient
curl --request PUT \
  --url https://ob.flinksapp.com/api/v1/recipients/{client_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "scope": "ACCOUNT_BASIC ACCOUNT_DETAILED ACCOUNT_PAYMENTS INVESTMENTS TRANSACTIONS STATEMENTS CUSTOMER_CONTACT CUSTOMER_PERSONAL",
  "redirect_uris": [
    "https://flinks.fake.com/callback",
    "https://flinks.fake.com/callback2"
  ],
  "client_id": "dc-xxxxxxxxxxxxxxxxxxxxxxxxx",
  "name": "Flinks Fake",
  "logo_uri": "https://flinks.fake.com/logo.png",
  "description": "Description of Flinks Fake",
  "terms_uri": "https://flinks.fake.com/callback/terms.html",
  "client_uri": "https://flinks.fake.com/",
  "country": "CA",
  "contacts": [
    {
      "email": "john.doe@flinks.fake.com"
    }
  ]
}
Use the /api/v1/recipients/{client_id} endpoint to update the redirect URLs for a particular Data Recipient. This endpoint replaces any existing redirect URLs with the new ones that you pass. It does not append the new URLs to the old ones. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using the following settings:
  • grant_type: client_credentials
  • client_id: {partner client_id}
  • client_secret: {partner client_secret}
  • scope: client:admin

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Path Parameters

client_id
string
required

The id for the Data Recipient you want to update.

Body

application/json
redirect_uris
string

The new redirect URLs that you want to use. We will replace the existing redirect URLs with the new ones that you pass.

Response

Result

scope
string
redirect_uris
string[]
client_id
string
name
string
logo_uri
string
description
string
terms_uri
string
client_uri
string
country
string
contacts
object[]